import axios from 'axios';
export class HubtypeBabelApiService {
    constructor(projectId, host = 'https://api.hubtype.com') {
        this.projectId = projectId;
        this.host = host;
    }
    async inference(text, accessToken, includeHasSense) {
        return await axios({
            method: 'POST',
            url: `${this.host}/v1/babel/projects/${this.projectId}/inference/`,
            headers: {
                Authorization: `Bearer ${accessToken}`,
                'Content-Type': 'application/json',
            },
            data: { text, include_has_sense: includeHasSense },
        });
    }
}
//# sourceMappingURL=hubtype-babel-api-service.js.map